[Testing Update i686] 2019-05-05 to 12 - ICU rebuilds, KDE, LibreOffice, final non-SSE2 support

update
testing
manjaro32
#1

This testing set introduces icu-64.2 and a load of associated rebuilds.

There are currently about 1,900 updated packages but watch out for any which still require a rebuild.

As far as I know all [core]/system-critical packages are OK... :crossed_fingers:

This also has Firefox 66.0.5 with the "vanishing extensions" fix.

This set is likely to be the last set with support for systems without SSE2. Many upstream projects are now setting SSE2 as a minimum (e.g. Firefox, Webkit) which makes maintaining support for non-SSE2 systems very difficult.

Therefore, the oldest supported microarchitecture will switch from "pure" i686 to pentium4. This will remove support for CPUs older than the Pentium 4 Netburst and Athlon 64. Any CPU less than 19 years old will remain working.

https://en.wikipedia.org/wiki/SSE2


Available kernels

Series Version PAE
linux316 3.16.67 No
linux318 3.18.139 No
linux44 4.4.179 No
linux49 4.9.175 No
linux414 4.14.118 No
linux419 4.19.42 Yes

Current difference to x32-stable

This thread will track updates to x32-testing as they are snapped over from x32-unstable
This post has a full difference to x32-stable, updates will be posted below as they occur.

Full list is available here.


Any problems?

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Is x32-testing ready to be moved to x32-stable?

This will inform the snap process; there is no set threshold.

Please vote on the "is it ready yet?" poll but only when you feel this set is tested enough, and has a sufficient number of changes compared to x32-stable.

  • No or Not yet
  • Yes, x32-testing should be snapped to x32-stable at this point
  • Other (post)

0 voters

1 Like
#2

Known issues

LibreOffice Still and Fresh and Calibre need rebuilding for icu=64

#3

Known to-dos

#5

Are you sure that's an i686 install you're updating? :stuck_out_tongue:

#6

I need sleep lol. Thought this was nevermind was referring to the firefox extension fix. So...thanks for that :hugs:

1 Like
#7

:thinking:

:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
:: installing x264 (2:157.r72db4377-1.5) breaks dependency 'libx264.so=155-32' required by libquicktime
Error installing repo packages
#8

Calibre will not start following this update.

Summary

[keith@Laptop1 ~]$ calibre
Traceback (most recent call last):
File "/usr/bin/calibre", line 19, in
from calibre.gui_launch import calibre
File "/usr/lib/calibre/calibre/init.py", line 29, in
from calibre.startup import winutil, winutilerror
File "/usr/lib/calibre/calibre/startup.py", line 166, in
from calibre.utils.icu import title_case, lower as icu_lower, upper as icu_upper
File "/usr/lib/calibre/calibre/utils/icu.py", line 28, in
raise RuntimeError('Failed to load icu with error: %s' % err)
RuntimeError: Failed to load icu with error: libicui18n.so.63: cannot open shared object file: No such file or directory
/usr/lib/calibre/calibre/ptempfile.py:29: RuntimeWarning: Parent module 'calibre' not found while handling absolute import
import shutil

Libreoffice-still also fails to start.

Summary

[keith@Laptop1 ~]$ libreoffice
javaldx: Could not find a Java Runtime Environment!
Warning: failed to read path from javaldx
/usr/lib/libreoffice/program/soffice.bin: error while loading shared libraries: libicuuc.so.63: cannot open shared object file: No such file or directory
[keith@Laptop1 ~]$

Libreoffice-fresh also fails to start.

Summary

[keith@Laptop1 ~]$ libreoffice
javaldx: Could not find a Java Runtime Environment!
Warning: failed to read path from javaldx
/usr/lib/libreoffice/program/soffice.bin: error while loading shared libraries: libicuuc.so.63: cannot open shared object file: No such file or directory
[keith@Laptop1 ~]$

Also qpdfview.

Summary

[keith@Laptop1 ~]$ qpdfview
qpdfview: error while loading shared libraries: libicui18n.so.63: cannot open shared object file: No such file or directory
[keith@Laptop1 ~]$

Looks like more rebuilds are required to pick up the new icu.

1 Like
#9

Kernel 4.19.40:

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            linux419            4.19.39-1            4.19.40-1
                    linux419-headers            4.19.39-1            4.19.40-1


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                   libva-mesa-driver             19.0.3-0                    -
                  linux419-acpi_call             1.1.0-39             1.1.0-40
                   linux419-bbswitch               0.8-39               0.8-40
                linux419-broadcom-wl      6.30.223.271-39      6.30.223.271-40
                linux419-ndiswrapper              1.61-39              1.61-40
               linux419-nvidia-340xx           340.107-39           340.107-40
                   linux419-nvidiabl              0.88-39              0.88-40
                      linux419-r8168          8.045.08-39          8.045.08-40
                        linux419-spl            0.7.13-39            0.7.13-40
                   linux419-tp_smapi              0.41-39              0.41-40
                linux419-vhba-module          20161009-39          20161009-40
   linux419-virtualbox-guest-modules             6.0.6-39             6.0.6-40
    linux419-virtualbox-host-modules             6.0.6-39             6.0.6-40
                        linux419-zfs            0.7.13-39            0.7.13-40
                                mesa             19.0.3-0                    -
                          mesa-vdpau             19.0.3-0                    -
                         opencl-mesa             19.0.3-0                    -
                        vulkan-intel             19.0.3-0                    -
                       vulkan-radeon             19.0.3-0                    -


:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                                inxi             3.0.33-1             3.0.34-1
                      hunspell-pt_br                    -              3.2-5.0
1 Like
#10

Should I ignore x264 (2:157.r72db4377-1.5) ?

:: installing x264 (2:157.r72db4377-1.5) breaks dependency 'libx264.so=155-32' required by libquicktime

#11

Do you have any QuickTime files? If not, remove this package and update the rest.

1 Like
#12

I'm not able to login to manjaro

It breaks when I boot:

[FAILED] Failed to start Simple Desktop Display Manager.
See 'systemctl status sddm.service' for details.
         Starting WPA supplicant...
[  OK  ] Started WPA supplicant.
[  OK  ] Created slice system-systemd\x2dbacklight.slice.
         Starting Load/Save Screen Backlight Brightness of backlight:acpi_video0...
[  OK  ] Started Load/Save Screen Backlight Brightness of backlight:acpi_video0.
[  OK  ] Started TLP system startup/shutdown.
#13

Switching branch to stable...

I don't know why but I can't even install timeshift on liveusb anymore, no any terminal commands to see my snapshots or to restore on manjaro-chroot :thinking:

#14

qt5-base rebuild:

:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            qt5-base           5.12.2-2.1           5.12.3-2.2
             qt5-xcb-private-headers           5.12.2-2.1           5.12.3-2.2
#15

I still have High CPU Usage issue, my desktop fan runs like crazy as if it is about to take off :helicopter: :laughing:, it just randomly appears once in a while booting, then reboot it is gone. May be the recent update brought the issue, I am sure Network Manager causing issue was fixed :thinking: or may be not. Sometimes uninstalling/reinstalling dnsmasq helps but it is not consistent. By the way my Stable XFCE system also have this issue.

Anyone here have solution if they have the same issue.

And SMplayer not working, seems mpv might be causing,

mpv: error while loading shared libraries: libcdio.so.18

Also firefox was finally launching without workaround in LXDE but with recent update it is back to previous. Hope it gets fixed again.

1 Like
#16

Here's Firefox 66.0.5 and some KDE... stuff...

:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                               pcre2            10.32-2.1            10.33-1.0


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                             firefox             66.0.4-0           66.0.5-0.1
                    firefox-i18n-ach             66.0.3-0             66.0.5-0
                     firefox-i18n-af             66.0.3-0             66.0.5-0
                     firefox-i18n-an             66.0.3-0             66.0.5-0
                     firefox-i18n-ar             66.0.3-0             66.0.5-0
                     firefox-i18n-as             66.0.3-0             66.0.5-0
                    firefox-i18n-ast             66.0.3-0             66.0.5-0
                     firefox-i18n-az             66.0.3-0             66.0.5-0
                     firefox-i18n-be             66.0.3-0             66.0.5-0
                     firefox-i18n-bg             66.0.3-0             66.0.5-0
                  firefox-i18n-bn-bd             66.0.3-0             66.0.5-0
                  firefox-i18n-bn-in             66.0.3-0             66.0.5-0
                     firefox-i18n-br             66.0.3-0             66.0.5-0
                     firefox-i18n-bs             66.0.3-0             66.0.5-0
                     firefox-i18n-ca             66.0.3-0             66.0.5-0
                    firefox-i18n-cak             66.0.3-0             66.0.5-0
                     firefox-i18n-cs             66.0.3-0             66.0.5-0
                     firefox-i18n-cy             66.0.3-0             66.0.5-0
                     firefox-i18n-da             66.0.3-0             66.0.5-0
                     firefox-i18n-de             66.0.3-0             66.0.5-0
                    firefox-i18n-dsb             66.0.3-0             66.0.5-0
                     firefox-i18n-el             66.0.3-0             66.0.5-0
                  firefox-i18n-en-ca             66.0.3-0             66.0.5-0
                  firefox-i18n-en-gb             66.0.3-0             66.0.5-0
                  firefox-i18n-en-us             66.0.3-0             66.0.5-0
                  firefox-i18n-en-za             66.0.3-0             66.0.5-0
                     firefox-i18n-eo             66.0.3-0             66.0.5-0
                  firefox-i18n-es-ar             66.0.3-0             66.0.5-0
                  firefox-i18n-es-cl             66.0.3-0             66.0.5-0
                  firefox-i18n-es-es             66.0.3-0             66.0.5-0
                  firefox-i18n-es-mx             66.0.3-0             66.0.5-0
                     firefox-i18n-et             66.0.3-0             66.0.5-0
                     firefox-i18n-eu             66.0.3-0             66.0.5-0
                     firefox-i18n-fa             66.0.3-0             66.0.5-0
                     firefox-i18n-ff             66.0.3-0             66.0.5-0
                     firefox-i18n-fi             66.0.3-0             66.0.5-0
                     firefox-i18n-fr             66.0.3-0             66.0.5-0
                  firefox-i18n-fy-nl             66.0.3-0             66.0.5-0
                  firefox-i18n-ga-ie             66.0.3-0             66.0.5-0
                     firefox-i18n-gd             66.0.3-0             66.0.5-0
                     firefox-i18n-gl             66.0.3-0             66.0.5-0
                     firefox-i18n-gn             66.0.3-0             66.0.5-0
                  firefox-i18n-gu-in             66.0.3-0             66.0.5-0
                     firefox-i18n-he             66.0.3-0             66.0.5-0
                  firefox-i18n-hi-in             66.0.3-0             66.0.5-0
                     firefox-i18n-hr             66.0.3-0             66.0.5-0
                    firefox-i18n-hsb             66.0.3-0             66.0.5-0
                     firefox-i18n-hu             66.0.3-0             66.0.5-0
                  firefox-i18n-hy-am             66.0.3-0             66.0.5-0
                     firefox-i18n-ia             66.0.3-0             66.0.5-0
                     firefox-i18n-id             66.0.3-0             66.0.5-0
                     firefox-i18n-is             66.0.3-0             66.0.5-0
                     firefox-i18n-it             66.0.3-0             66.0.5-0
                     firefox-i18n-ja             66.0.3-0             66.0.5-0
                     firefox-i18n-ka             66.0.3-0             66.0.5-0
                    firefox-i18n-kab             66.0.3-0             66.0.5-0
                     firefox-i18n-kk             66.0.3-0             66.0.5-0
                     firefox-i18n-km             66.0.3-0             66.0.5-0
                     firefox-i18n-kn             66.0.3-0             66.0.5-0
                     firefox-i18n-ko             66.0.3-0             66.0.5-0
                    firefox-i18n-lij             66.0.3-0             66.0.5-0
                     firefox-i18n-lt             66.0.3-0             66.0.5-0
                     firefox-i18n-lv             66.0.3-0             66.0.5-0
                    firefox-i18n-mai             66.0.3-0             66.0.5-0
                     firefox-i18n-mk             66.0.3-0             66.0.5-0
                     firefox-i18n-ml             66.0.3-0             66.0.5-0
                     firefox-i18n-mr             66.0.3-0             66.0.5-0
                     firefox-i18n-ms             66.0.3-0             66.0.5-0
                     firefox-i18n-my             66.0.3-0             66.0.5-0
                  firefox-i18n-nb-no             66.0.3-0             66.0.5-0
                  firefox-i18n-ne-np             66.0.3-0             66.0.5-0
                     firefox-i18n-nl             66.0.3-0             66.0.5-0
                  firefox-i18n-nn-no             66.0.3-0             66.0.5-0
                     firefox-i18n-oc             66.0.3-0             66.0.5-0
                     firefox-i18n-or             66.0.3-0             66.0.5-0
                  firefox-i18n-pa-in             66.0.3-0             66.0.5-0
                     firefox-i18n-pl             66.0.3-0             66.0.5-0
                  firefox-i18n-pt-br             66.0.3-0             66.0.5-0
                  firefox-i18n-pt-pt             66.0.3-0             66.0.5-0
                     firefox-i18n-rm             66.0.3-0             66.0.5-0
                     firefox-i18n-ro             66.0.3-0             66.0.5-0
                     firefox-i18n-ru             66.0.3-0             66.0.5-0
                     firefox-i18n-si             66.0.3-0             66.0.5-0
                     firefox-i18n-sk             66.0.3-0             66.0.5-0
                     firefox-i18n-sl             66.0.3-0             66.0.5-0
                    firefox-i18n-son             66.0.3-0             66.0.5-0
                     firefox-i18n-sq             66.0.3-0             66.0.5-0
                     firefox-i18n-sr             66.0.3-0             66.0.5-0
                  firefox-i18n-sv-se             66.0.3-0             66.0.5-0
                     firefox-i18n-ta             66.0.3-0             66.0.5-0
                     firefox-i18n-te             66.0.3-0             66.0.5-0
                     firefox-i18n-th             66.0.3-0             66.0.5-0
                     firefox-i18n-tr             66.0.3-0             66.0.5-0
                     firefox-i18n-uk             66.0.3-0             66.0.5-0
                     firefox-i18n-ur             66.0.3-0             66.0.5-0
                     firefox-i18n-uz             66.0.3-0             66.0.5-0
                     firefox-i18n-vi             66.0.3-0             66.0.5-0
                     firefox-i18n-xh             66.0.3-0             66.0.5-0
                  firefox-i18n-zh-cn             66.0.3-0             66.0.5-0
                  firefox-i18n-zh-tw             66.0.3-0             66.0.5-0


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                              attica           5.56.0-1.1           5.57.0-1.0
                         kactivities           5.56.0-1.0           5.57.0-1.0
                   kactivities-stats           5.56.0-1.0           5.57.0-1.0
                            karchive           5.56.0-1.0           5.57.0-1.0
                               kauth           5.56.0-1.0           5.57.0-1.0
                            kcalcore          18.12.3-1.0          19.04.0-1.0
                             kcodecs           5.56.0-1.0           5.57.0-1.0
                         kcompletion           5.56.0-1.0           5.57.0-1.0
                             kconfig           5.56.0-1.0           5.57.0-1.0
                      kconfigwidgets           5.56.0-1.0           5.57.0-1.0
                           kcontacts          18.12.3-1.1          19.04.0-1.0
                         kcoreaddons           5.56.0-1.0           5.57.0-1.0
                              kcrash           5.56.0-1.0           5.57.0-1.0
                                 kdb            3.1.0-5.0            3.2.0-1.0
                         kdbusaddons           5.56.0-1.0           5.57.0-1.0
                      kdebugsettings          18.12.3-1.0          19.04.0-1.0
                              kdnssd           5.56.0-1.0           5.57.0-1.0
                       kfilemetadata           5.56.0-1.0           5.57.0-1.0
                        kglobalaccel           5.56.0-1.0           5.57.0-2.0
                          kguiaddons           5.56.0-1.1           5.57.0-1.0
                           kholidays         1:5.56.0-1.0         1:5.57.0-1.0
                               ki18n           5.56.0-1.0           5.57.0-1.0
                         kiconthemes           5.56.0-1.0           5.57.0-1.0
                           kidletime           5.56.0-1.0           5.57.0-1.0
                       kimageformats           5.56.0-1.0           5.57.0-1.0
                    kirigami-gallery          18.12.3-1.0          19.04.0-1.0
                           kirigami2           5.56.1-1.0           5.57.0-1.0
                         kitemmodels           5.56.0-1.0           5.57.0-1.0
                          kitemviews           5.56.0-1.0           5.57.0-1.0
                         kjobwidgets           5.56.0-1.0           5.57.0-1.0
                                 kjs           5.56.0-1.0           5.57.0-1.0
                            kjsembed           5.56.0-1.0           5.57.0-1.0
                               kldap          18.12.3-1.0          19.04.0-1.0
                               kmbox          18.12.3-1.0          19.04.0-1.0
                               kmime          18.12.3-1.1          19.04.0-1.0
                            kpackage           5.56.0-1.0           5.57.0-1.0
                             kpkpass          18.12.3-1.0          19.04.0-1.0
                           kplotting           5.56.0-1.0           5.57.0-1.0
                           kproperty            3.1.0-1.2            3.2.0-1.0
                                kpty           5.56.0-1.0           5.57.0-1.0
                      kqtquickcharts          18.12.3-1.0          19.04.0-1.0
                             kreport            3.1.0-1.2            3.2.0-1.0
                            kservice           5.56.0-1.0           5.57.0-1.0
                     kunitconversion           5.56.0-1.0           5.57.0-1.0
                            kwayland           5.56.0-1.0           5.57.0-1.0
                      kwidgetsaddons           5.56.0-1.0           5.57.0-1.0
                       kwindowsystem           5.56.0-1.0           5.57.0-1.0
                             libraqm            0.5.0-1.1            0.6.0-1.0
                           qt5-tools           5.12.2-3.0           5.12.3-1.0
                               solid           5.56.0-1.0           5.57.0-1.0
                              sonnet           5.56.0-1.0           5.57.0-1.0
                 syntax-highlighting           5.56.0-1.0           5.57.0-1.0
                        threadweaver           5.56.0-1.0           5.57.0-1.0


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                         http-parser            2.9.1-1.0            2.9.2-1.0
                                kbfs            3.2.2-1.0            3.2.2-1.1
                                 kea            1.5.0-1.0            1.5.0-3.0
                          keepalived           2.0.13-1.0           2.0.13-1.1
                           keepassxc            2.4.0-1.0            2.4.1-2.0
                             keybase            3.2.2-1.0            3.2.2-1.1
                               kicad            5.1.0-1.1            5.1.2-1.0
                                knot            2.8.1-1.0            2.8.1-1.1
                             opendht          1:1.9.3-1.0          1:1.9.4-1.0
                             trojita              0.7-2.1              0.7-2.4
#17

Kernels and a hopefully-fixed nvidia-390xx

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            linux414           4.14.116-1           4.14.117-1
                    linux414-headers           4.14.116-1           4.14.117-1
                            linux419            4.19.40-1            4.19.41-1
                    linux419-headers            4.19.40-1            4.19.41-1
                             linux49            4.9.173-1            4.9.174-1
                     linux49-headers            4.9.173-1            4.9.174-1
                   mhwd-nvidia-390xx             390.87-1            390.116-1


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
               linux316-nvidia-390xx           390.87-5.0            390.116-2
               linux318-nvidia-390xx           390.87-8.1            390.116-3
                  linux414-acpi_call            1.1.0-116            1.1.0-117
                   linux414-bbswitch              0.8-116              0.8-117
                linux414-broadcom-wl     6.30.223.271-116     6.30.223.271-117
                linux414-ndiswrapper             1.61-116             1.61-117
               linux414-nvidia-340xx          340.107-116          340.107-117
               linux414-nvidia-390xx          390.87-26.3          390.116-117
                      linux414-r8168         8.045.08-116         8.045.08-117
                  linux414-rt3562sta       2.4.1.1_r4-116       2.4.1.1_r4-117
                        linux414-spl           0.7.13-116           0.7.13-117
                   linux414-tp_smapi             0.41-116             0.41-117
                linux414-vhba-module         20161009-116         20161009-117
   linux414-virtualbox-guest-modules            6.0.6-116            6.0.6-117
    linux414-virtualbox-host-modules            6.0.6-116            6.0.6-117
                        linux414-zfs           0.7.13-116           0.7.13-117
                  linux419-acpi_call             1.1.0-40             1.1.0-41
                   linux419-bbswitch               0.8-40               0.8-41
                linux419-broadcom-wl      6.30.223.271-40      6.30.223.271-41
                linux419-ndiswrapper              1.61-40              1.61-41
               linux419-nvidia-340xx           340.107-40           340.107-41
               linux419-nvidia-390xx             390.87-9           390.116-41
                   linux419-nvidiabl              0.88-40              0.88-41
                      linux419-r8168          8.045.08-40          8.045.08-41
                        linux419-spl            0.7.13-40            0.7.13-41
                   linux419-tp_smapi              0.41-40              0.41-41
                linux419-vhba-module          20161009-40          20161009-41
   linux419-virtualbox-guest-modules             6.0.6-40             6.0.6-41
    linux419-virtualbox-host-modules             6.0.6-40             6.0.6-41
                        linux419-zfs            0.7.13-40            0.7.13-41
                linux44-nvidia-390xx            390.87-11            390.116-3
                   linux49-acpi_call            1.1.0-173            1.1.0-174
                    linux49-bbswitch              0.8-173              0.8-174
                 linux49-broadcom-wl     6.30.223.271-173     6.30.223.271-174
                    linux49-catalyst    1:15.201.1151-173    1:15.201.1151-174
                 linux49-ndiswrapper             1.61-173             1.61-174
                linux49-nvidia-340xx          340.107-173          340.107-174
                linux49-nvidia-390xx          390.87-23.3          390.116-174
                       linux49-r8168         8.045.08-173         8.045.08-174
                   linux49-rt3562sta       2.4.1.1_r4-173       2.4.1.1_r4-174
                         linux49-spl           0.7.13-173           0.7.13-174
                    linux49-tp_smapi             0.41-173             0.41-174
                 linux49-vhba-module         20161009-173         20161009-174
    linux49-virtualbox-guest-modules            6.0.6-173            6.0.6-174
     linux49-virtualbox-host-modules            6.0.6-173            6.0.6-174
                         linux49-zfs           0.7.13-173           0.7.13-174
                  nvidia-390xx-utils             390.87-1            390.116-1
                 opencl-nvidia-390xx             390.87-1            390.116-1
#18
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
:: installing x264 (2:157.r72db4377-1.5) breaks dependency 'libx264.so=155-32' required by libquicktime

libquicktime is a dependency of dvgrab, which is an optional dependency of kdenlive (firewire capture).

RIP firewire ... and adios dvgrab.

Big update completed successfully.

#19

Hi guys...
ok, so after updating... Evolution is not working anymore...

evolution: error while loading shared libraries: libicuuc.so.63: cannot open shared object file: No such file or directory

This might need a rebuild...

#20

Big set of updates (~1366) just snapped over. Check the full list for details.

#21

Please note the following are still failing:

Calibre will not start following this update.

Summary

[keith@Laptop1 ~]$ calibre
Traceback (most recent call last):
File "/usr/bin/calibre", line 19, in
from calibre.gui_launch import calibre
File "/usr/lib/calibre/calibre/ init .py", line 29, in
from calibre.startup import winutil, winutilerror
File "/usr/lib/calibre/calibre/startup.py", line 166, in
from calibre.utils.icu import title_case, lower as icu_lower, upper as icu_upper
File "/usr/lib/calibre/calibre/utils/icu.py", line 28, in
raise RuntimeError('Failed to load icu with error: %s' % err)
RuntimeError: Failed to load icu with error: libicui18n.so.63: cannot open shared object file: No such file or directory
/usr/lib/calibre/calibre/ptempfile.py:29: RuntimeWarning: Parent module 'calibre' not found while handling absolute import
import shutil

Libreoffice-still also fails to start.

Summary

[keith@Laptop1 ~]$ libreoffice
/usr/lib/libreoffice/program/soffice.bin: error while loading shared libraries: libicuuc.so.63: cannot open shared object file: No such file or directory
[keith@Laptop1 ~]$

Libreoffice-fresh also fails to start.

Summary

[keith@Laptop1 ~]$ libreoffice
/usr/lib/libreoffice/program/soffice.bin: error while loading shared libraries: libicuuc.so.63: cannot open shared object file: No such file or directory
[keith@Laptop1 ~]$

1 Like